---
title: SVGRect
slug: Web/API/SVGRect
tags:
  - API
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p id="sect1">The <strong><code>SVGRect</code></strong> represents a rectangle. Rectangles consist of an x and y coordinate pair identifying a minimum x value, a minimum y value, and a width and height, which are constrained to be non-negative.</p>

<p>An<strong> <code>SVGRect</code></strong> object can be designated as read only, which means that attempts to modify the object will result in an exception being thrown.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGRect.x")}}</dt>
 <dd>The exact effect of this coordinate depends on each element. If the attribute is not specified, the effect is as if a value of <code>0</code> were specified.</dd>
 <dt>{{domxref("SVGRect.y")}}</dt>
 <dd>The exact effect of this coordinate depends on each element.If the attribute is not specified, the effect is as if a value of <code>0</code> were specified.</dd>
 <dt>{{domxref("SVGRect.width")}}</dt>
 <dd>This represents the width of the rectangle.A value that is negative results to an error. A value of zero disables rendering of the element</dd>
 <dt>{{SVGAttr("SVGRect.height")}}</dt>
 <dd>This represents the height of the rectangle.A value that is negative results to an error.A value of zero disables rendering of the element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("DOMRectReadOnly")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Geometry Interfaces", "#DOMRect", "DOMRect")}}</td>
   <td>{{Spec2("Geometry Interfaces")}}</td>
   <td>Changed SVGRect as a legacy alias of DOMRect.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGRect", "SVGRect")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGRect")}}</p>
